Summary:   A GNOME sound mixer for ALSA
Name:      gnome-alsamixer
Version:   0.9.6
Release:   0.fdr.2.1.90
Epoch:     0
License:   GPL
Group:     Applications/Multimedia
Source0:   ftp://ftp.paw.co.za/pub/PAW/sources/%{name}-%{version}.tar.gz
Source1:   gnome-alsamixer.desktop
URL:       http://www.paw.za.org/projects/gnome-alsamixer
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: gtk2-devel >= 0:2.0.0
BuildRequires: libgnomeui-devel >= 0:2.0.0
BuildRequires: alsa-lib-devel >= 0:1.0.0
BuildRequires: desktop-file-utils

# The ./po sub-directory doesn't do anything yet, but may require
# Buildrequires: gettext
# in the future.

%description
A sound mixer for GNOME which is written for the Advanced Linux Sound
Architecture (ALSA).

%prep
%setup -q

%build
%configure
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%makeinstall
mkdir ${RPM_BUILD_ROOT}%{_datadir}/applications
cp %{SOURCE1} ${RPM_BUILD_ROOT}%{_datadir}/applications/

desktop-file-install \
  --delete-original                                        \
  --vendor fedora                                          \
  --dir ${RPM_BUILD_ROOT}%{_datadir}/applications            \
  --add-category X-Fedora                                  \
  ${RPM_BUILD_ROOT}%{_datadir}/applications/%{name}.desktop

%clean
%{__rm} -rf ${RPM_BUILD_ROOT}

%files
%defattr(-, root, root)
%doc README COPYING ChangeLog NEWS AUTHORS INSTALL TODO
%{_bindir}/%{name}
%{_datadir}/applications/*%{name}.desktop
%{_datadir}/pixmaps/%{name}

%changelog
* Sun Dec 21 2003 Thorsten Leemhuis <fedora[AT]leemhuis.info> 0.9.6-0.fdr.2
- fixed missing Buildrequires: alsa-lib-devel 
- add missing explicit Epoch in all versioned buildreq
- "Copyright:" tag is obsolete => "License:"
- changed summary
- minor changes in gnome-alsamixer.desktop

* Sun Dec 14 2003 Thorsten Leemhuis <fedora[AT]leemhuis.info> 0.9.6-0.fdr.1
- Initial Version, based on work done by Dennis J Houy <djhouy[AT]paw.za.org>
